# opendmarc_policy_connect_rset()

[back to index]

SYNOPSIS |
    #include <dmarc.h>
    DMARC_POLICY_T * opendmarc_policy_connect_rset(
    	DMARC_POLICY_T * pctx
    );
Partly clears the opaque context for reuse on the same connection, perhaps as a result of an SMTP RSET. The IP address and address type are preserved but everything else is freed and zeroed.
DESCRIPTION |
Called When | `opendmarc_policy_connect_rset()` may be called anytime you want to partly reset an opaque context such as a result of an SMTP RSET.
ARGUMENTS |
Argument | Description
--- | ---
pctx | A pointer to type `DMARC_POLICY_T`.
RETURN VALUES | `DMARC_POLICY_T` * -- on success NULL -- Only if the pointer passed into it is NULL.
NOTES | You should not use this function to clear opaque structures for arbitrary re-use, instead use opendmarc_policy_connect_clear().

Copyright (c) 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the license.